package dev.dinauer.maven.maven.core.model;

import dev.dinauer.maven.maven.shared.Extensions;

public class MavenContext
{
    private String path;
    private String groupId;
    private String artifactId;
    private Version version;
    private String filename;
    private Extensions extensions;

    public MavenContext(String path, String groupId, String artifactId, Version version, String filename, Extensions extensions)
    {
        this.path = path;
        this.groupId = groupId;
        this.artifactId = artifactId;
        this.version = version;
        this.filename = filename;
        this.extensions = extensions;
    }

    public String path()
    {
        return path;
    }

    public void setPath(String path)
    {
        this.path = path;
    }

    public String groupId()
    {
        return groupId;
    }

    public void setGroupId(String groupId)
    {
        this.groupId = groupId;
    }

    public String artifactId()
    {
        return artifactId;
    }

    public void setArtifactId(String artifactId)
    {
        this.artifactId = artifactId;
    }

    public Version version()
    {
        return version;
    }

    public void setVersion(Version version)
    {
        this.version = version;
    }

    public String filename()
    {
        return filename;
    }

    public void setFilename(String filename)
    {
        this.filename = filename;
    }

    public Extensions extensions()
    {
        return extensions;
    }
}